
.. Due to something, the manpages generated by sphnix do not display the
   (sub)sections UNLESS there is a !(sub)section defined. Luckly, that
   !(sub)section is invisible in the manpage.
   Sphinx (sphinx-build) 1.2.3 & 1.4.5

Manpage: WLA-CPU
================


SYNOPSIS
--------

| ``wla-6502`` [``OPTIONS``] ``SRC_FILE``
| ``wla-65816`` [``OPTIONS``] ``SRC_FILE``
| ``wla-65c02`` [``OPTIONS``] ``SRC_FILE``
| ``wla-65ce02`` [``OPTIONS``] ``SRC_FILE``
| ``wla-cx4`` [``OPTIONS``] ``SRC_FILE``
| ``wla-6800`` [``OPTIONS``] ``SRC_FILE``
| ``wla-6801`` [``OPTIONS``] ``SRC_FILE``
| ``wla-6809`` [``OPTIONS``] ``SRC_FILE``
| ``wla-68000`` [``OPTIONS``] ``SRC_FILE``
| ``wla-8008`` [``OPTIONS``] ``SRC_FILE``
| ``wla-8080`` [``OPTIONS``] ``SRC_FILE``
| ``wla-gb`` [``OPTIONS``] ``SRC_FILE``
| ``wla-huc6280`` [``OPTIONS``] ``SRC_FILE``
| ``wla-spc700`` [``OPTIONS``] ``SRC_FILE``
| ``wla-superfx`` [``OPTIONS``] ``SRC_FILE``
| ``wla-z80`` [``OPTIONS``] ``SRC_FILE``
| ``wla-z80n`` [``OPTIONS``] ``SRC_FILE``


OPTIONS
-------

-h                  Assume all label references are 16-bit by default (size hints still work)
-i                  Add list file information
-k                  Keep empty sections
-M                  Output makefile rules
-q                  Quiet mode (``.PRINT*``-directives output nothing)
-s                  Don't create _sizeof_* definitions
-t                  Test compile (Don't output any files)
-v                  Verbose messages
-x                  Extra compile time labels and definitions
-I DIR              Add include directory
-D DEF              Declare definition

Choose one:

-o OUT              Output an object file
-l OUT              Output an library file


DESCRIPTION
-----------

Assemble a BIN_FILE to an object file (``-o``) or to an library file (``-l``).

These object files can be linked together (or with library files) later
with :manpage:`wlalink(1)`.

Name object files so that they can be recognized as object files. Normal
suffix is ``.o`` (WLA default). This can also be changed with ``.OUTNAME``.

Name these files so that they can be recognized as library files. Normal
suffix is ``.lib`` (WLA default).

With object files you can reduce the amount of compiling when editing
small parts of the program. Note also the possibility of using local
labels (starting with ``_``).

With library files you can reduce the amount of compiling. Library files
are meant to hold general functions that can be used in different projects.
Note also the possibility of using local labels (starting with ``_``).
Library files consist only of ``FREE`` sections.

**Note**: When you compile objects, group 1 directives are saved for linking
time, when they are all compared and if they differ, an error message is
shown. It is advisable to use something like an include file to hold all
the group 1 directives for that particular project and include it to every
object file.

If you are interested in the WLA object file format, take a look at the
file ``txt/wla_file_formats.txt`` which is included in the release archive.


EXAMPLES
--------

::

    wla-gb -D DEBUG -D VERBOSE=5 -D NAME = "math v1.0" -o math.o math.s

- ``-D IEXIST``
- ``-D DAY=10``
- ``-D BASE = $10``
- ``-D NAME=elvis``

.. only:: man
    
    SEE ALSO
    --------

    :manpage:`wla-dx(7)`, :manpage:`wlalink(1)`
